# **Crystal Entity**

> *Medium Construct, Neutral*

**Armor Class:** 15 (natural crystal resilience)  
**Hit Points:** 40 (8d8 + 8)  
**Speed:** 15 ft. (hover)

| STR | DEX | CON | INT | WIS | CHA |
|:---:|:---:|:---:|:---:|:---:|:---:|
| 10  | 10  | 16  | 10  | 10  | 10  |

**Damage Immunities:** Magical damage (except from magical weapons), non-magical weapon damage  
**Damage Vulnerabilities:** Thunder, Force, Bludgeoning (from magical weapons)  
**Condition Immunities:** Charmed, Exhaustion, Frightened, Paralyzed, Petrified, Poisoned  
**Senses:** Darkvision 60 ft., Passive Perception 8  

---

## **Traits**

**Crystalline Resonance:** The crystal hums faintly when the boss draws power from it. At the start of the boss's turn, roll a d6. On a 5 or 6, the crystal regains its **Charge**.

**Fragile Mobility:** The crystal hovers slowly (15 ft. speed) and avoids direct combat, staying at least 10 ft. away from hostile creatures unless forced into melee.

**Magical Conduit:** The crystal is immune to magical damage and non-magical weapons. However, it can be damaged by magical weapons and is vulnerable to Thunder, Force, and Bludgeoning damage from magical sources.

**Crystal Shards:** When the crystal is destroyed, it explodes into sharp shards. Each creature within 10 ft. must make a DC 14 Dexterity saving throw, taking 14 (4d6) piercing damage on a failed save, or half as much on a successful one.

**Hidden Power:** The crystal has a faint, almost imperceptible glow when active. A successful DC 15 Perception check reveals the glow, hinting at its magical nature.

---

### **Features**

**Charge (Recharge 5-6):** The crystal pulses with magical energy, allowing the owner to take one Legendary Action. Once the owner uses this Legendary Action, the crystal loses its charge until it recharges. The owner can only take Legendary Actions if they have at least one charged crystal under their control.
